## jruby 9.4.12.0+ds

=== test/jruby/testapp/Makefile ===
testapp.exe: testapp.c
	gcc $^ -o $@

clean:
	rm -f testapp.exe
