## jruby 1.5.0~rc3

=== debian/changelog ===
jruby (1.5.0~rc3-1) unstable; urgency=low

  * New upstream release (Closes: #581360).

 -- Sebastien Delafond <seb@debian.org>  Wed, 12 May 2010 15:56:25 +0200

jruby (1.5.0~rc1-1) unstable; urgency=low

  * New upstream release candidate.
  * Moved to 4.0 (quilt) source format.
  * Updated watch file.
  * Bumped-up Standards-Version.

 -- Sebastien Delafond <seb@debian.org>  Tue, 20 Apr 2010 18:01:51 +0200

jruby (1.4.0-2) unstable; urgency=low

  * Make sure we're comptaible with a 1.5 JRE (Closes: #563028); thanks to
    Shyamal Prasad <shyamal@member.fsf.org> for the patch.

 -- Sebastien Delafond <seb@debian.org>  Mon, 11 Jan 2010 14:44:34 +0100

jruby (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * Updated watch file.
  * Updated copyright file to reflect addition of new third-party jars.

 -- Sebastien Delafond <seb@debian.org>  Thu, 10 Dec 2009 12:34:42 +0100

jruby (1.3.1-2) unstable; urgency=low

  * Moving to non-free, with detailed debian/copyright (Closes: #551618).
  * Got rid of jruby alternatives as provided by older jruby1.x.

 -- Sebastien Delafond <seb@debian.org>  Wed, 09 Dec 2009 17:30:55 +0100

jruby (1.3.1-1) unstable; urgency=low

  * First release (Closes: #548734).
  * Move to non-free (See #527977).

 -- Sebastien Delafond <seb@debian.org>  Mon, 19 Oct 2009 15:41:51 +0200
