=== debian/watch ===
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 2 file
version=3

opts="uversionmangle=s/RC/~rc/"\
  http://jruby.org/download \
  .+/jruby-src-(1\..*)\.tar\.gz
