## jruby 1.5.1

=== debian/changelog ===
jruby (1.5.1-1) unstable; urgency=low

  [ Hideki Yamane ]
  * use already packaged jar files to build jruby.
    add "Build-Depends: libasm3-java, libcommons-logging-java, libjarjar-java,
    libjoda-time-java, junit4, libemma-java, libbsf-java, libjline-java, bnd,
    libconstantine-java" (Closes: #581390)

  [ Torsten Werner ]
  * New upstream release
  * Changed Maintainer to pkg-java-maintainers with the agreement of Sebastien.
  * Add Sebastien and myself to the Uploaders list.
  * Add Vcs headers to debian/control.
  * Remove bin/jruby in clean target.
  * Convert patches to dep3 format.
  * Remove unneeded jar files from orig tarball.
  * Define JAVA_HOME and set it to default-java.
  * Run tests during build.
    - Upgrade Build-Depends: ant to ant-optional.
    - Add Build-Depends: netbase. 
    - Add a patch to ignore test failures.
    - Set CLASSPATH=/usr/share/java/junit4.jar in debian/rules.

 -- Torsten Werner <twerner@debian.org>  Fri, 30 Jul 2010 03:07:08 +0200
