=== debian/control ===
--- 
+++ 
@@ -1,10 +1,17 @@
 Source: jruby
 Section: non-free/ruby
 Priority: optional
-Maintainer: Sebastien Delafond <seb@debian.org>
-Build-Depends: debhelper (>= 6.0.7~), openjdk-6-jdk | java6-sdk, ant
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: Sebastien Delafond <seb@debian.org>,
+ Torsten Werner <twerner@debian.org>
+Build-Depends: debhelper (>= 6.0.7~), openjdk-6-jdk | java6-sdk, ant-optional,
+ libasm3-java, libcommons-logging-java, libjarjar-java, libjoda-time-java,
+ junit4, libemma-java, libbsf-java, libjline-java, bnd, libconstantine-java,
+ netbase, libjgrapht0.8-java
 Standards-Version: 3.8.4
 Homepage: http://jruby.org
+Vcs-Git: git://git.debian.org/git/pkg-java/jruby.git
+Vcs-Browser: http://git.debian.org/?p=pkg-java/jruby.git
 
 Package: jruby
 Architecture: all
