=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
 BUILD_CHEKSUM_SHA1 := $(BUILD_TAR).sha1
 
 ANT := /usr/bin/ant
+export JAVA_HOME := /usr/lib/jvm/default-java
+export CLASSPATH := /usr/share/java/junit4.jar
 
 JRUBY_MANPAGE := debian/jruby.1
 JIRB_MANPAGE := debian/jirb.1
@@ -25,7 +27,7 @@
 	$(ANT) clean-all
 	if [ -d dist ] ; then $(ANT) dist-clean ; fi
 	rm -f $(BUILD_TAR) $(BUILD_CHEKSUM_SHA1) $(BUILD_CHEKSUM_MD5)
-	rm -fr share
+	rm -fr share bin/jruby
 
 	rm -f build-stamp
 	dh_clean 
@@ -36,7 +38,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(ANT) -Ddev.gems=false compile
+	$(ANT) -Ddev.gems=false test
 #	docbook-to-man $(JRUBY_DOCBOOK_MANPAGE) > $(JRUBY_MANPAGE)
 #	docbook-to-man $(JIRB_DOCBOOK_MANPAGE) > $(JIRB_MANPAGE)
