=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: jruby
-Section: non-free/ruby
+Section: ruby
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastien Delafond <seb@debian.org>,
  Torsten Werner <twerner@debian.org>
-Build-Depends: debhelper (>= 6.0.7~), openjdk-6-jdk | java6-sdk, ant-optional,
+Build-Depends: debhelper (>= 6.0.7~), openjdk-6-jdk, ant-optional,
  libasm3-java, libcommons-logging-java, libjarjar-java, libjoda-time-java,
  junit4, libemma-java, libbsf-java, libjline-java, bnd, libconstantine-java,
- netbase, libjgrapht0.8-java
-Standards-Version: 3.8.4
+ netbase, libjgrapht0.8-java, libjcodings-java, libbytelist-java, libjffi-java,
+ libjaffl-java, libjruby-joni-java, yydebug, nailgun, libjnr-posix-java,
+ libjnr-netdb-java, libyecht-java (>= 0.0.2-2~), cdbs
+Standards-Version: 3.9.2
 Homepage: http://jruby.org
 Vcs-Git: git://git.debian.org/git/pkg-java/jruby.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/jruby.git
@@ -16,7 +18,8 @@
 Package: jruby
 Architecture: all
 Replaces: jruby1.0, jruby1.1, jruby1.2
-Depends: openjdk-6-jre | java6-runtime, ${misc:Depends}
+Depends: openjdk-6-jre | java6-runtime, ${misc:Depends}, libjffi-jni
+Recommends: ri1.8
 Description: 100% pure-Java implementation of Ruby
  JRuby is a 100% pure-Java implementation of the Ruby programming language.
  .
