=== debian/watch ===
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

version=3

http://githubredir.debian.net/github/jruby/jruby .*/(\d.+).tar.gz
