## jruby 1.7.21

=== debian/changelog ===
jruby (1.7.21-2ubuntu4) wily; urgency=medium

  * Build-depend again on jruby-openssl, re-enable the tests.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Aug 2015 13:07:47 +0200

jruby (1.7.21-2ubuntu3) wily; urgency=medium

  * Add libjzlib-java dependency. (LP: #1490323)

 -- Tiago Stürmer Daitx <tiago.daitx@canonical.com>  Sun, 30 Aug 2015 18:05:40 +0000

jruby (1.7.21-2ubuntu2) wily; urgency=medium

  * Drop build dependeny on jruby-openssl and disable the tests
    for a first build.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Aug 2015 17:10:30 +0200

jruby (1.7.21-2ubuntu1) wily; urgency=medium

  * Build-depend on locales-all | language-pack-en.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Aug 2015 16:45:28 +0200

jruby (1.7.21-2) unstable; urgency=high

  * Fix FTBFS due to Maven 3.3.x changes. (Closes: #792788).
  * Provide full cryptographic support:
    - Add Recommends on jruby-openssl. (Closes: #743746).
    - Add Build-Depends on jruby-openssl for unit tests during build-time.

 -- Miguel Landaeta <nomadium@debian.org>  Tue, 14 Jul 2015 20:20:23 -0300

jruby (1.7.21-1) unstable; urgency=medium

  * New upstream release.
  * Add missing dependencies for jruby binary package. (Closes: #771694).
  * Add Provides: ruby-interpreter for jruby binary package.

 -- Miguel Landaeta <nomadium@debian.org>  Wed, 08 Jul 2015 20:59:46 -0300

jruby (1.7.20.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Add missing dependencies for jruby binary package.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 20 Jun 2015 19:42:50 -0300

jruby (1.7.20.1-1) experimental; urgency=medium

  * New upstream release.
    This release updates Rubygems included copy to 2.4.8 in order to address
    CVE-2015-1855, to resolve some problems with wildcard matching of
    hostnames.
  * Add new patch:
    - 0009-Disable-bigdecimal-divmod-spec-failing-test.patch.

 -- Miguel Landaeta <nomadium@debian.org>  Thu, 18 Jun 2015 21:34:53 -0300

jruby (1.7.19-1) experimental; urgency=medium

  * New upstream release. (Closes: #636554, #773131, #750749).
  * Add /usr/lib/ruby/vendor_ruby to the default $LOAD_PATH. (Closes: #663342).
  * Switch build system to Maven, upstream doesn't maintain Ant one anymore:
    - Add B-D on: maven, maven-{debian,repo}-helper and several maven plugins.
    - Replace cdbs with debhelper.
  * Enable full testing during build time.
  * Remove outdated packaging files:
    - d/dirs, d/links, d/NEWS.Debian and a couple of lintian overrides.
  * Refresh patches:
    - Update d/patches/0001-Fix-shebang-lines.patch.
    - Drop unnecessary patches, some of them were merged at upstream:
      + d/patches/0004-replace-bundled-libraries.patch
      + d/patches/0005-ignore-test-failures.patch
      + d/patches/0006-do-not-build-InvokeDynamicSupport.java.patch
      + d/patches/0007-use-unversioned-jarjar.jar.patch
      + d/patches/0008-CVE-2011-4838.patch
      + d/patches/0009-CVE-2012-5370.patch
      + d/patches/0010-jruby-Set-FD_CLOEXEC-correctly-using-F_SETFD-not-F_S.patch
      + d/patches/0011-java7-compat.patch
      + d/patches/0012-nailgun.patch
  * Update Uploaders list:
    - Remove Sebastien Delafond. Thanks for your work on this package!
    - Remove Torsten Werner. Thanks for your work on this package!
    - Add Tim Potter. Welcome aboard!
  * Update d/watch file.
  * Update d/README.Debian file.
  * Add get-orig-source target to d/rules.
  * Update Build-Depends:
    - Replace dependency on openjdk-7-jdk with openjdk-8-jdk.
      Otherwise jruby will not even compile.
    - Replace libjaffl-java with libjnr-ffi-java.
    - Replace libjline-java with libjline2-java.
    - Update to libyecht-java to (>= 1.0~).
    - Update to nailgun (>= 0.9.1~).
    - Update to bytelist (>= 1.0.12~).
    - Update to jffi (>= 1.2.7~).
    - Update to jnr-posix (>= 3.0.9~).
    - Add libyaml-snake-java.
    - Add libinvokebinder-java.
    - Replace libasm3-java with libasm4-java.
    - Add libjnr-x86asm-java.
    - Update libjnr-netdb-java to (>= 1.1.4~).
    - Add liblivetribe-jsr223-java.
    - Add ruby-rspec and ruby-minitest.
    - Add locales-all.
  * Update copyright file.
  * Remove unnecessary preinst and postinst scripts.
  * Update package description.
  * Ship a copy of jquery library since the source package contains a
    minified copy. This is to avoid lintian warnings, during build time
    a link symbolic to libjs-jquery is deployed.

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 31 May 2015 19:37:41 -0300

jruby (1.5.6-10) unstable; urgency=medium

  * Add myself to Uploaders list.
  * Replace dependency on libconstantine-java with libjnr-constants-java.
  * Refresh patches:
    - d/p/0003-do-not-install-gems.patch.
    - d/p/0004-replace-bundled-libraries.patch.
    - d/p/0012-nailgun.patch.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 02 May 2015 17:37:51 -0300

jruby (1.5.6-9) unstable; urgency=medium

  * Team upload.
  * Build-depend on openjdk-7-jdk >= 7u71-2.5.3 (closes: #759947).
    This version restores the "apt" tool.
    - Thank you to Michael Gilbert for the patch.

 -- tony mancill <tmancill@debian.org>  Sat, 01 Nov 2014 19:55:32 -0700

jruby (1.5.6-8) unstable; urgency=medium

  [ tony mancill ]
  * Team upload.
  * Recommend "ri" instead of "ri1.8" (ruby interpreter)
  * Use DH9 instead of version 6.
  * Rebuild against a non-broken joda-time. (Closes: #729171)
  * Bump Standards-Version to 3.9.6 (no changes).

  [ Emmanuel Bourg ]
  * Removed the build dependency on libemma-java

 -- tony mancill <tmancill@debian.org>  Mon, 27 Oct 2014 23:27:54 -0700

jruby (1.5.6-7) unstable; urgency=low

  * Team upload.
  * Provide maven artifacts. (Closes: #737424).

 -- Miguel Landaeta <nomadium@debian.org>  Sun, 02 Feb 2014 21:37:46 -0300

jruby (1.5.6-6) unstable; urgency=low

  * Team upload.

  [ tony mancill ]
  * Apply patch to set FD_CLOEXEC correctly using F_SETFD not F_SETFL.
    - Thank you to Guillem Jover. (Closes: #696283)


