=== debian/control ===
Source: jruby
Section: ruby
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Miguel Landaeta <nomadium@debian.org>,
           Tim Potter <tpot@hp.com>
Build-Depends: ant-optional,
               bnd,
               debhelper (>= 9~),
               jruby-openssl,
               junit4,
               libasm4-java,
               libbsf-java,
               libbuild-helper-maven-plugin-java,
               libbytelist-java (>= 1.0.12~),
               libcommons-logging-java,
               libheadius-options-java,
               libinvokebinder-java,
               libjarjar-java,
               libjcodings-java,
               libjffi-java (>= 1.2.7~),
               libjgrapht0.8-java,
               libjline2-java,
               libjnr-constants-java,
               libjnr-enxio-java,
               libjnr-ffi-java,
               libjnr-netdb-java (>= 1.1.4~),
               libjnr-posix-java (>= 3.0.9~),
               libjnr-unixsocket-java,
               libjnr-x86asm-java (>= 1.0.2~),
               libjoda-time-java,
               libjruby-joni-java,
               libjzlib-java,
               liblivetribe-jsr223-java,
               libmaven-antrun-plugin-java,
               libmaven-assembly-plugin-java,
               libmaven-bundle-plugin-java,
               libmaven-compiler-plugin-java (>= 3.2~),
               libmaven-dependency-plugin-java,
               libmaven-exec-plugin-java,
               libmaven-invoker-plugin-java,
               libmaven-shade-plugin-java,
               libproperties-maven-plugin-java,
               libunsafe-mock-java,
               libyaml-snake-java,
               libyecht-java (>= 1.0~),
               locales-all | language-pack-en,
               maven,
               maven-debian-helper,
               maven-repo-helper,
               nailgun (>= 0.9.1~),
               netbase,
               openjdk-8-jdk,
               ruby-minitest,
               ruby-rspec,
               yydebug
Standards-Version: 3.9.6
Homepage: http://jruby.org/
Vcs-Git: git://anonscm.debian.org/pkg-java/jruby.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/jruby.git

Package: jruby
Architecture: all
Depends: default-jre | java6-runtime,
         ant,
         junit4,
         libasm4-java,
         libbsf-java,
         libbytelist-java (>= 1.0.12~),
         libheadius-options-java,
         libinvokebinder-java,
         libjansi-java,
         libjcodings-java,
         libjffi-jni,
         libjoda-time-java,
         libjnr-constants-java,
         libjnr-enxio-java,
         libjnr-ffi-java,
         libjnr-netdb-java (>= 1.1.4~),
         libjnr-posix-java (>= 3.0.9~),
         libjnr-unixsocket-java,
         libjnr-x86asm-java (>= 1.0.2~),
         libjruby-joni-java,
         libjzlib-java,
         libosgi-core-java,
         libunsafe-mock-java,
         libyaml-snake-java,
         nailgun (>= 0.9.1~),
         libyecht-java (>= 1.0~),
         ${misc:Depends}
Recommends: ri, jruby-openssl
Provides: ruby-interpreter
Description: 100% pure-Java implementation of Ruby
 JRuby is a high performance, stable, fully threaded Java implementation
 of the Ruby programming language.
 .
 JRuby is tightly integrated with Java to allow the embedding of the
 interpreter into any Java application with full two-way access
 between the Java and the Ruby code (similar to Jython for the Python
 language).
 .
 JRuby provides a complete set of core "builtin" classes and syntax
 for the Ruby language, as well as most of the Ruby Standard
 Libraries. The standard libraries are mostly Ruby's own complement of
 ".rb" files, but a few that depend on C language-based extensions have
 been reimplemented. Some are still missing, but JRuby hopes to
 implement as many as is feasible.
