## jruby 1.7.22

=== debian/changelog ===
jruby (1.7.22-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Add libjzlib-java dependency.
    - Build-depend on locales-all | language-pack-en.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Oct 2015 18:50:41 +0200

jruby (1.7.22-1) unstable; urgency=medium

  * New upstream release.
  * Install jruby-stdlib Maven artifact. (Closes: #792906).
    - Added a lintian override for codeless-jar warning.
  * Install jruby-noasm Maven artifact.
  * Install correct jruby-core Maven artifact.
  * Install jruby-core-noasm Maven artifact.
  * Install jruby-complete Maven artifact.
  * Add B-D on libmaven-install-plugin-java.
  * Add versioned B-D on maven (>= 3.3~).

 -- Miguel Landaeta <nomadium@debian.org>  Wed, 16 Sep 2015 21:19:33 -0300
