=== debian/control ===
--- 
+++ 
@@ -31,7 +31,6 @@
                libjnr-x86asm-java (>= 1.0.2~),
                libjoda-time-java,
                libjruby-joni-java,
-               libjzlib-java,
                liblivetribe-jsr223-java,
                libmaven-antrun-plugin-java,
                libmaven-assembly-plugin-java,
@@ -39,14 +38,16 @@
                libmaven-compiler-plugin-java (>= 3.2~),
                libmaven-dependency-plugin-java,
                libmaven-exec-plugin-java,
+               libmaven-install-plugin-java,
                libmaven-invoker-plugin-java,
                libmaven-shade-plugin-java,
                libproperties-maven-plugin-java,
                libunsafe-mock-java,
                libyaml-snake-java,
                libyecht-java (>= 1.0~),
+               libjzlib-java,
                locales-all | language-pack-en,
-               maven,
+               maven (>= 3.3~),
                maven-debian-helper,
                maven-repo-helper,
                nailgun (>= 0.9.1~),
