=== debian/rules ===
--- 
+++ 
@@ -19,23 +19,46 @@
 	mh_unpatchpoms -pjruby
 	mh_clean
 	rm -f lib/jruby.jar bin/jruby
-	for subp in stdlib dist; do \
+	for subp in stdlib dist complete; do \
 		rm -rf ./maven/jruby-$$subp/target ; \
 	done
 	rm -rf ./test/target/
 	rm -rf -- ./rubyspec_temp/
 	rm -rf -- "$(DEB_MAVEN_REPO)"
 
+	# this ugly hack is due to mh_unpatchpoms not restoring some POMs
+	# if you want to build jruby twice in a row, you need to restore
+	# everything correctly
+	-cd maven.bak && for pom in `find ./jruby-* -type f`; do \
+	  cp $$pom $(CURDIR)/maven/$$pom ; \
+	done
+	-cd maven.bak && cp ./test/pom.xml $(CURDIR)/test/pom.xml
+	rm -rf maven.bak
+
 override_dh_auto_configure:
+	# this ugly hack is due to mh_unpatchpoms not restoring some POMs
+	# if you want to build jruby twice in a row, you need to restore
+	# everything correctly
+	mkdir -p maven.bak
+	cd maven.bak && mkdir -p jruby-complete jruby-stdlib test
+	cp maven/jruby-complete/pom.xml maven.bak/jruby-complete
+	cp maven/jruby-stdlib/pom.xml maven.bak/jruby-stdlib
+	cp test/pom.xml maven.bak/test
+
 	/usr/share/maven-debian-helper/copy-repo.sh "$(CURDIR)/debian"
 	mh_patchpoms -pjruby --debian-build --keep-pom-version \
 	  --maven-repo="$(DEB_MAVEN_REPO)" --build-no-docs
 
 override_dh_auto_build:
 	mkdir -p lib/jni
+	mkdir -p $(CURDIR)/maven/jruby-complete/target/classes
+	$(DEB_MAVEN_INVOKE) -Pcomplete
 	$(DEB_MAVEN_INVOKE) -Pdist package
 
-override_dh_auto_install:
+# this got ugly fast
+# there must be a better way to do this
+override_dh_prep:
+	dh_prep
 	mkdir -p target/package
 	tar zxf ./maven/jruby-dist/target/jruby-dist-$(DEB_VERSION_UPSTREAM)-bin.tar.gz \
 	  -C target/package --strip-components=1
@@ -44,12 +67,29 @@
 	rm target/package/lib/ruby/2.0/rdoc/generator/template/darkfish/js/jquery.js
 	mkdir -p target/package/lib/ruby/gems/shared/
 	cd target/package/lib/ruby/gems/shared/ && mkdir -p cache gems specifications
-	mh_installpom -pjruby --no-parent core/pom.xml
-	mh_installjar -pjruby --java-lib  core/pom.xml target/package/lib/jruby.jar
 	rm -rf target/package/tool/nailgun/*
 	for platform in i386-Linux x86_64-Linux arm-Linux; do \
 		mkdir -p target/package/lib/jni/$$platform ; \
 	done
+
+override_dh_auto_install:
+	mh_installpom -pjruby --no-parent core/pom.xml
+	mh_installjar -pjruby --java-lib  core/pom.xml core/target/jruby-core-$(DEB_VERSION_UPSTREAM).jar
+	for subp in noasm stdlib complete; do \
+		mh_installpom -pjruby --no-parent maven/jruby-$$subp/pom.xml ; \
+	done
+	mh_installjar -pjruby maven/jruby-stdlib/pom.xml maven/jruby-stdlib/target/jruby-stdlib-$(DEB_VERSION_UPSTREAM).jar
+	mh_installjar -pjruby maven/jruby-complete/pom.xml maven/jruby-complete/target/jruby-complete-$(DEB_VERSION_UPSTREAM).jar
+
+override_dh_install:
+	dh_install
+	dh_install core/target/jruby-core-$(DEB_VERSION_UPSTREAM)-noasm.jar \
+		usr/share/maven-repo/org/jruby/jruby-core/$(DEB_VERSION_UPSTREAM)
+
+override_dh_link:
+	dh_link
+	dh_link usr/share/maven-repo/org/jruby/jruby-core/$(DEB_VERSION_UPSTREAM)/jruby-core-$(DEB_VERSION_UPSTREAM)-noasm.jar \
+		usr/share/maven-repo/org/jruby/jruby-core/debian/jruby-core-debian-noasm.jar
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
