=== debian/watch ===
version=3
https://github.com/jruby/jruby/releases \
 /jruby/jruby/archive/([0-9].+)\.tar\.gz
