## jruby 1.7.26

=== debian/changelog ===
jruby (1.7.26-1+deb9u1) stretch-security; urgency=high

  * Team upload.
  * Fix CVE-2018-1000073: Directory Traversal vulnerability in install_location
    function of package.rb that can result in path traversal when writing to a
    symlinked basedir outside of the root.
  * Fix CVE-2018-1000074: possible Unsafe Object Deserialization Vulnerability
    in gem owner.
  * Fix CVE-2018-1000075: Strictly interpret octal fields in tar headers to
    avoid infinite loop
  * Fix CVE-2018-1000076: Raise a security error when there are duplicate
    files in a package
  * Fix CVE-2018-1000077: Enforce URL validation on spec homepage attribute.
  * Fix CVE-2018-1000078: Mitigate XSS vulnerability in homepage attribute
    when displayed via gem server.
  * Fix CVE-2018-1000079: Directory Traversal vulnerability in gem installation
    that can result in writing to arbitrary filesystem locations during
    installation of malicious gems.
    (Closes: #895778)

 -- Markus Koschany <apo@debian.org>  Sun, 29 Apr 2018 22:24:33 +0200

jruby (1.7.26-1) unstable; urgency=medium

  * Team upload.

  [ Miguel Landaeta ]
  * New upstream release.
  * Fix FTBFS due to changes introduced in yecht 1.1 and snakeyaml 1.7.
    (Closes: #821181).
  * Drop Provides: ruby-interpreter in jruby binary package.
    (Closes: #839567).
  * Build with default-jdk now it has finally switched to Java 8.
  * Bump Standards-Version to 3.9.8. No changes were required.
  * Use https URLs with Vcs-* fields.
  * Refresh patches:
    - Add new patch:
      + d/patches/0007-Enable-test-suites.patch.
      + d/patches/0012-Disable-outdated-specs.patch.
  * Run more unit tests during build time.
    The suit test spec:ruby:fast is ran from now on.

  [ Emmanuel Bourg ]
  * Depend on libasm-java (>= 5.0) instead of libasm4-java.

 -- Miguel Landaeta <nomadium@debian.org>  Sat, 12 Nov 2016 20:33:13 +0000

jruby (1.7.22-2) unstable; urgency=medium

  * Build with maven-debian-helper 2.
    - Simplify packaging.
    - Avoid occasional FTBFS errors caused by changes in Maven.
  * Fix an FTBFS caused by some unit tests not working correctly in pbuilder.

 -- Miguel Landaeta <nomadium@debian.org>  Mon, 28 Dec 2015 17:20:15 -0300
