=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: jruby
 Section: ruby
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Miguel Landaeta <nomadium@debian.org>,
            Tim Potter <tpot@hp.com>
 Build-Depends: ant-optional,
                bnd,
                debhelper (>= 9~),
+               default-jdk (>= 2:1.8~),
                jruby-openssl,
                junit4,
-               libasm4-java,
+               libasm-java (>= 5.0),
                libbsf-java,
                libbuild-helper-maven-plugin-java,
                libbytelist-java (>= 1.0.12~),
@@ -45,28 +45,27 @@
                libunsafe-mock-java,
                libyaml-snake-java,
                libyecht-java (>= 1.0~),
-               libjzlib-java,
-               locales-all | language-pack-en,
-               maven (>= 3.3~),
-               maven-debian-helper,
+               locales-all,
+               maven-debian-helper (>= 2.0~),
                maven-repo-helper,
                nailgun (>= 0.9.1~),
                netbase,
-               openjdk-8-jdk,
+               ruby-json,
                ruby-minitest,
+               ruby-minitest-excludes,
                ruby-rspec,
                yydebug
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://jruby.org/
-Vcs-Git: git://anonscm.debian.org/pkg-java/jruby.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/jruby.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/jruby.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jruby.git
 
 Package: jruby
 Architecture: all
 Depends: default-jre | java6-runtime,
          ant,
          junit4,
-         libasm4-java,
+         libasm-java (>= 5.0),
          libbsf-java,
          libbytelist-java (>= 1.0.12~),
          libheadius-options-java,
@@ -90,8 +89,9 @@
          nailgun (>= 0.9.1~),
          libyecht-java (>= 1.0~),
          ${misc:Depends}
-Recommends: ri, jruby-openssl
-Provides: ruby-interpreter
+Recommends: jruby-openssl,
+            ri,
+            ruby-json
 Description: 100% pure-Java implementation of Ruby
  JRuby is a high performance, stable, fully threaded Java implementation
  of the Ruby programming language.
